GNU bug report logs - #37776
27.0.50; package.el install does not respect dependencies

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Oleh Krehel <oleh@HIDDEN>; dated Wed, 16 Oct 2019 08:45:01 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 16 Oct 2019 08:44:10 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Oct 16 04:44:10 2019
Received: from localhost ([127.0.0.1]:45208 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iKeug-0007ze-1L
	for submit <at> debbugs.gnu.org; Wed, 16 Oct 2019 04:44:10 -0400
Received: from lists.gnu.org ([209.51.188.17]:49966)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ohwoeowho@HIDDEN>) id 1iKeue-0007zU-Oi
 for submit <at> debbugs.gnu.org; Wed, 16 Oct 2019 04:44:09 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:48686)
 by lists.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <ohwoeowho@HIDDEN>) id 1iKeud-0001oS-OU
 for bug-gnu-emacs@HIDDEN; Wed, 16 Oct 2019 04:44:08 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.0 required=5.0 tests=BAYES_20,FREEMAIL_FROM,
 RCVD_IN_DNSWL_NONE autolearn=disabled version=3.3.2
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <ohwoeowho@HIDDEN>) id 1iKeuc-0001hX-Ph
 for bug-gnu-emacs@HIDDEN; Wed, 16 Oct 2019 04:44:07 -0400
Received: from mail-wr1-f54.google.com ([209.85.221.54]:39893)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_128_CBC_SHA1:16)
 (Exim 4.71) (envelope-from <ohwoeowho@HIDDEN>) id 1iKeuc-0001gu-KY
 for bug-gnu-emacs@HIDDEN; Wed, 16 Oct 2019 04:44:06 -0400
Received: by mail-wr1-f54.google.com with SMTP id r3so27013960wrj.6
 for <bug-gnu-emacs@HIDDEN>; Wed, 16 Oct 2019 01:44:05 -0700 (PDT)
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:subject:date:message-id;
 bh=07uoiFGKgyqk3ACO7banOeFPz+uyGGofVWJm1CeLcxc=;
 b=saesbpRl17+J7sseF+VOxelE7Fk/QnE9Vr2NhCj1kTouro5om/954Ir+WyzueNidio
 Eb8stq43qAqyYw620GiUwzbWrlQFQsKXPdl/1iD9MNcXO85D32sXXFBt+f6ryh6NMbyI
 jseqrj/uA+qc1LJpks/zv0lvPjF56lIoj1Rn0S2FrAVa4pAQHnqZDRWXV+gnEs8sy8Vg
 z+W3xwF24CUcfS3jTyoa09oaCkT/9o1lBXp12JxKl4gGhJb5lFaTzqIuAcoj6uGi4Jij
 uV2kAaZdGnsimtaJik86Dk1kTYLq1KYb90/y7grtmqNZou+oDqIK6ZCgY5w/a22wMdmJ
 SWYw==
X-Gm-Message-State: APjAAAUmX2dMBIEaf1epglPwnv/x0qOUdqMx2KdgrCio036ISMgXzg/4
 WK+PczbxNKAdshbvH0YapJWZojtJ
X-Google-Smtp-Source: APXvYqxB1NS4oiI93kg3QP39baxUakfIrhyelIX79qGCGpndfKLNza1yjuB1Ihfzv4EkSgLmLtSN/Q==
X-Received: by 2002:adf:e292:: with SMTP id v18mr1627269wri.190.1571215444489; 
 Wed, 16 Oct 2019 01:44:04 -0700 (PDT)
Received: from localhost ([2001:981:f7c1:1:9bd:bfde:ac75:8477])
 by smtp.gmail.com with ESMTPSA id f3sm22249262wrq.53.2019.10.16.01.44.03
 (version=TLS1_2 cipher=ECDHE-RSA-CHACHA20-POLY1305 bits=256/256);
 Wed, 16 Oct 2019 01:44:03 -0700 (PDT)
From: Oleh Krehel <oleh@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: 27.0.50; package.el install does not respect dependencies
Date: Wed, 16 Oct 2019 10:44:02 +0200
Message-ID: <86pnixrsfh.fsf@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
 [fuzzy]
X-Received-From: 209.85.221.54
X-Spam-Score: 0.9 (/)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.1 (--)

On MELPA, the package `swiper' depends on the package `ivy'.  The user
has both packages installed.  Both packages get an update, where
`swiper' now depends on a new feature of `ivy'. When the user does
`package-menu-mark-upgrades' and `package-menu-execute', `swiper' gets
compiled /first/ with an /outdated/ (the one that was installed) version
of `ivy', and errors and warnings ensue.

I think this is not a MELPA issue, the same would happen for GNU ELPA.
This should be fixed in package.el.

Two things to fix here:

1. Packages should be compiled in order of dependence.
2. The package that depends on the other should be compiled with a new
version of the other one.




Acknowledgement sent to Oleh Krehel <oleh@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#37776; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Mon, 25 Nov 2019 12:00:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.